Backward compatability

Home Forums Encore Feature Request and Wish List Backward compatability

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #1943
    Avatar photoDr H
    Participant

    If a new version of Encore is in the works, it should be able to import files created in ALL previous versions of the software, including Encore 4, Encore 4, Encore 5, Musictime DeLuxe 3, Musictime DeLuxe 3.5, etc. When one has hundreds of scores created in these software packages, a new version of the software that doesn’t recognize them is NOT an “upgrade”.

    If it is too involved to integrate this backward compatibility in the Encore software itself, then a separate stand-alone program needs to be available, that can translate any of these older versions into the latest version of Encore.

    Asking people to abandon years of past work is probably not good for future sales.

    My $0.02

    #1952
    Avatar photoMike Halloran
    Participant

    Good luck with that.

    Since Encore 5 was notorious for being unable to older versions, depending on the build, it may be presumptuous to expect that Encore 6 will be able to open anything older than E5.

    On the Mac, 5.0.7 can’t open older than 5.0.5 unless booted into a much older MacOS on a PPC. To convert my files, I had to use 3 Macs running 4 versions of the OS, 2 builds of E4 and 2 of E5.

    So, while it will be nice to have a version that opens everything ever created… again, good with that.

    #1965
    Avatar photoAdmin
    Keymaster

    Note: I am currently working on Encore 6 full time and hope to have it ready by Thanksgiving.
    Hopefully, Encore 6 will open old formats but at least Encore 4 & 5 files.
    After digging into the code, I found it a total mess and I am basically working through one line of code at a time and fixing the problems that have plagued users for years.

    Thank you for your patience.

    • This reply was modified 6 months, 1 week ago by Avatar photoAdmin.
Viewing 3 posts - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.